Bug 11374 - search list only searches n-1
Summary: search list only searches n-1
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-11 21:38 UTC by mike
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-23 20:32:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mike 2000-05-11 21:38:12 UTC
if /etc/resolve.conf contains:
 search x.foo.com y.foo.com foo.com

and the host bar.foo.com is searched for via `nslookup bar', the search
fails.

if the line is modified to:
  search x.foo.com y.foo.com foo.com bogus.com

it works and resolves to `bar.foo.com'

Comment 1 nkadel 2000-05-23 20:32:59 UTC
I cannot duplicate this behavior: I've tried adding and deleting several
different domain entries, inside and outside of my local domain.

Are you sure you didn't have a typo in your domain entry?

Comment 2 Henri Schlereth 2000-07-12 22:50:44 UTC
Unable to duplicate this as well. As I would quote from the bind users-list "If you conceal the actual domain/machine names
we cannot even begin to help you or duplicate the error"

The normal accepted format for resolv.conf should be:
domain foo.com
search foo.com
nameserver 192.168.1.1
nameserver 192.168.1.2

Henri J. Schlereth


Note You need to log in before you can comment on or make changes to this bug.